/*******************************************************************************
 * FoxAICondition_TargetThreat generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAICondition_TargetThreat extends FoxAICondition
    native(AI)
    editinlinenew
    hidecategories(Object);

var() private const float TargetBeyondEnemyWeight;
var() private const float AdvanceWeight;
var() private const float RetreatWeight;

defaultproperties
{
    TargetBeyondEnemyWeight=-2.0
    AdvanceWeight=0.20
    RetreatWeight=0.10
}